package org.verohallinto.apitamoclient.dto;

/**
 * Certificate information.
 */
public class CertDTO {

    private String validFrom;
    private String validTo;
    private String commonName;
    private String organizationalUnit;
    private String organization;
    private String locality;
    private String state;
    private String countryName;
    // Ei standardin mukaiset
    private String serialnumber;

    public CertDTO() {
    }

    public String getValidFrom() {
        return validFrom;
    }

    public void setValidFrom(String validFrom) {
        this.validFrom = validFrom;
    }

    public String getValidTo() {
        return validTo;
    }

    public void setValidTo(String validTo) {
        this.validTo = validTo;
    }

    public String getCommonName() {
        return commonName;
    }

    public void setCommonName(String commonName) {
        this.commonName = commonName;
    }

    public String getOrganizationalUnit() {
        return organizationalUnit;
    }

    public void setOrganizationalUnit(String organizationalUnit) {
        this.organizationalUnit = organizationalUnit;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getLocality() {
        return locality;
    }

    public void setLocality(String locality) {
        this.locality = locality;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCountryName() {
        return countryName;
    }

    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    public String getSerialnumber() {
        return serialnumber;
    }

    public void setSerialnumber(String serialnumber) {
        this.serialnumber = serialnumber;
    }

    @Override
    public String toString() {
        return "CertDTO{" +
               "validFrom='" + validFrom + '\'' +
               ", validTo='" + validTo + '\'' +
               ", commonName='" + commonName + '\'' +
               ", organizationalUnit='" + organizationalUnit + '\'' +
               ", organization='" + organization + '\'' +
               ", locality='" + locality + '\'' +
               ", state='" + state + '\'' +
               ", countryName='" + countryName + '\'' +
               ", serialnumber='" + serialnumber + '\'' +
               '}';
    }
}
